<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <hr>
  <div>
    <!--
        <a>: The <a> tag defines a hyperlink, which is used to link from one page to another.-->
    <a href="index.html">Home</a>        
            <!--
<h1> - <h6>: The <h1> to <h6> tags are used to define HTML headings. <h1> defines the most important heading. <h6> defines the least important heading.
        -->
    <hr>
        <p><!-- <p>: Specifies a paragraph -->
<h1> Lorem ipsum dolor</h1> 
<h2> sit amet consectetur adipisicing elit. </h2> 
<h3> Qui numquam molestias repellat </h3>
<h4> deleniti debitis, temporibus non distinctio </h4>
<h5> optio soluta laboriosam deserunt? </h5>
<h6> Iure ipsum odio expedita, quia nostrum temporibus </h6>
    <!--<br>: Inserts a single line break--> 
    <br/>mollitia earum?
        </p>
<hr>
        <!--
<hr>: The <hr> element is most often displayed as a horizontal rule that is used to separate content (or define a change) in an HTML page.
 -->  
 
 
 <!--
   <div>: Defines a section in a document  
 -->
 <div>
<p>
<i> <!--<i>: Italic  --> 
        Lorem ipsum dolor sit amet, </i> 
        <sub>   <!--
            <sub>: Specifies subscripted text
             --> 
            consectetur </sub> 
            <sup>   <!--
                <sup>: Specifies superscripted text
                 --> 
                 adipisicing elit.
            </sup>
            <span>
<!--
                <span>: Defines a section in a document  
 -->
 Nam, tempore autem exercitationem iste  

            </span> 
             totam officia quidem voluptatum est necessitatibus neque consectetur ea, dolore dolorum, ad fuga dicta soluta? Ab, minus.

</p>

</div>
<hr>
<div>
<!--
        <li>: The <li> tag is used inside ordered lists(<ol>), unordered lists (<ul>)

<ul>: Unordered lists

<ol>: Ordered lists

    -->
    <ol>
        <li> bangla</li>
<li> english</li>
    </ol>
    <ul>
        <li> bangla1</li>
<li> bangla2</li>
<li> english</li>
</ul>

<hr>  
    <!--
<img>: The <img> tag is used to embed an image in an HTML page. The <img> tag has two required attributes:
	src - Specifies the path to the image
alt - Specifies an alternate text for the image, if the image for some reason cannot be displayed
    -->
    <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/b/b6/Image_created_with_a_mobile_phone.png/1024px-Image_created_with_a_mobile_phone.png" alt="image" width="200" height="200">
<hr>
<!--
<table>: HTML tables allow web developers to arrange data into rows and columns.
<thead>:
<tr>:
<th>:
<tbody>:
<td>:
    -->
<table border="1">
<thead>
<tr><th>subject</th>
<th colspan="2">marks</th>
</tr>

</thead>

<tbody>

    <tr>
        <td>bangla</td>
        <td>50</td>
        <td>90</td>
        </tr>
        <tr>
            <td>English</td>
            <td>50</td>
            <td>90</td>
            </tr>
            <tr>
                <td>Math</td>
                <td colspan="2">80</td>
                </tr>
                <tr>
                    <td>Science</td>
                    <td colspan="2">80</td>
                    </tr>
                    <tr>
                        <td>Total</td>
                        <td colspan="2">440</td>
                        </tr>
</tbody>
</table>
<hr>

</div>
<!--
<form>: The <form> tag is used to create an HTML form for user input.
<input>: Get user input
<select>: Select options
<button>:     
 -->
<form>
    <input type="text" name="sname" placeholder="Enter Student name">
    <input type="number" name="marksfield1" placeholder="Enter marks in first">
    <input type="number" name="marksfield2" placeholder="Enter marks in second">
    <select>
        <option>Bangla</option>
        <option>English</option>
        <option>Math</option>
        <option>Science</option>
    </select>
    <button>Submit</button>
</form>
<hr>
    <!--
<fieldset>: Groups related elements in a form
<legend>: Defines a caption for a <fieldset> element
    -->
    <fieldset>
        <legend>Login</legend>
        <form>
            <input type="text" name="name" placeholder="Enter your name">
            <input type="email" name="email" placeholder="Enter your email">
            <input type="password" name="password" placeholder="Enter your password">
            <button>Submit</button>
        </form>
    </fieldset>
  </body>
</html>
